Subject: Re: bug#59286: Documentation for seq-count

From: Jim Porter <[email-masked]>
Date: Wed, 16 Nov 2022 10:09:39 -0800

On 11/16/2022 9:59 AM, Heime via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> Fine, but how do you use that?  No information, no example.  Seems to me that
> authors of documentation willfully avoid showing examples or where to find them.

In a *Help* buffer, just below the docstring is this message:

   Other relevant functions are documented in the _sequence_ group.

Clicking on "sequence" takes you to shortdocs, which shows an example:

  (seq-count #'numberp '(1 b c 4))
     ⇒ 2

Maybe the "Other relevant functions" wording could be improved so that 
it's clearer though. It doesn't really indicate that you'll find more 
details about 'seq-count' in particular, just "other relevant 
functions". Something like, "See the _sequence_ group for more 
information on this and other relevant functions," maybe?